OpenTTD Source: MissingGlyphSearcher Class Reference

OpenTTD Source 14.0-RC3

Public Member Functions
MissingGlyphSearcher Class Referenceabstract

A searcher for missing glyphs. More...

`#include <strings_func.h>`

Inheritance diagram for MissingGlyphSearcher:

## Public Member Functions
virtual | ~MissingGlyphSearcher ()=default
| Make sure everything gets destructed right.
virtual std::optional< std::string_view > | NextString ()=0
| Get the next string to search through. More...
virtual FontSize | DefaultSize ()=0
| Get the default (font) size of the string. More...
virtual void | Reset ()=0
| Reset the search, i.e. More...
virtual bool | Monospace ()=0
| Whether to search for a monospace font or not. More...
virtual void | SetFontNames (struct FontCacheSettings *settings, const char *font_name, const void *os_data=nullptr)=0
| Set the right font names. More...
bool | FindMissingGlyphs ()
| Check whether there are glyphs missing in the current language. More...

## Detailed Description

A searcher for missing glyphs.

Definition at line 115 of file strings_func.h.

## Member Function Documentation

## ◆ DefaultSize()

virtual FontSize MissingGlyphSearcher::DefaultSize | ( |  | ) |
| pure virtual

Get the default (font) size of the string.

Returns
  The font size.

Implemented in LanguagePackGlyphSearcher, and TextfileWindow.

## ◆ FindMissingGlyphs()

bool MissingGlyphSearcher::FindMissingGlyphs | ( |  | ) |

Check whether there are glyphs missing in the current language.

Returns
  If glyphs are missing, return `true`, else return `false`.

Definition at line 2169 of file strings.cpp.

References InitFontCache(), and Monospace().

Referenced by CheckForMissingGlyphs(), and SetFallbackFont().

## ◆ Monospace()

virtual bool MissingGlyphSearcher::Monospace | ( |  | ) |
| pure virtual

Whether to search for a monospace font or not.

Returns
  True if searching for monospace.

Implemented in LanguagePackGlyphSearcher, and TextfileWindow.

Referenced by FindMissingGlyphs(), and SetFallbackFont().

## ◆ NextString()

virtual std::optional<std::string_view> MissingGlyphSearcher::NextString | ( |  | ) |
| pure virtual

Get the next string to search through.

Returns
  The next string or nullopt if there is none.

Implemented in LanguagePackGlyphSearcher, and TextfileWindow.

## ◆ Reset()

virtual void MissingGlyphSearcher::Reset | ( |  | ) |
| pure virtual

Reset the search, i.e.

begin from the beginning again.

Implemented in LanguagePackGlyphSearcher, and TextfileWindow.

## ◆ SetFontNames()

virtual void MissingGlyphSearcher::SetFontNames | ( | struct FontCacheSettings * | settings,
|  | const char * | font_name,
|  | const void * | os_data = `nullptr`
| ) |  |
| pure virtual

Set the right font names.

Parameters

  settings | The settings to modify.
  font_name | The new font name.
  os_data | Opaque pointer to OS-specific data.

Implemented in TextfileWindow.

Referenced by SetFallbackFont().

The documentation for this class was generated from the following files:

- src/strings_func.h
- src/strings.cpp